> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apigroups 



## OpenAPI

````yaml /api-reference/openapi.yaml patch /api/groups/{id}/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/groups/{id}/:
    patch:
      tags:
        - api
      operationId: groups_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedGroupPatch'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedGroupPatch'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedGroupPatch'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    PatchedGroupPatch:
      type: object
      properties:
        name:
          type: string
          maxLength: 255
    Group:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        organization_id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        description:
          type: string
          readOnly: true
        type:
          allOf:
            - $ref: '#/components/schemas/GroupTypeEnum'
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        member_count:
          type: integer
          readOnly: true
      required:
        - created_at
        - description
        - id
        - member_count
        - name
        - organization_id
        - type
        - updated_at
    GroupTypeEnum:
      enum:
        - members
        - custom
      type: string
      description: |-
        * `members` - Members
        * `custom` - Custom

````